tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type > Class Template Reference
Inheritance diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >:

## Public Types

typedef handle_object | handle

## Public Member Functions

| concurrent_lru_cache (value_function_type f, std::size_t number_of_lru_history_items)
handle_object | operator[] (key_type k)

## Friends

class | tbb::internal::aggregating_functor< self_type, aggregated_operation_type >

The documentation for this class was generated from the following file:

- concurrent_lru_cache.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.